Bug 236545 - firefox-1.5.0.10 freezes with "double free or corruption"
firefox-1.5.0.10 freezes with "double free or corruption"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-16 07:22 EDT by major
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 15:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
three instances of firefox-1.5.0.10 "double free or corruption" (13.56 KB, text/plain)
2007-04-16 07:22 EDT, major
no flags Details

  None (edit)
Description major 2007-04-16 07:22:15 EDT
Description of problem:
While running the 32-bit version of firefox-1.5.0.10 (on AMD Opteron x86_64
platform with the Adobe Flash Plugin 9.0.31.0), the program will intermittently
freeze with "double free or corruption" after writing a backtrace and partial
memory map to the terminal. Each time, I have to SIGKILL the firefox processes
with the bottom-most child in a futex. I was running firefox on one computer
while viewing its X display on a different computer. I am including an
attachment with three different instances of this behavior.

Version-Release number of selected component (if applicable):
firefox-1.5.0.10-5.fc6.i386
firefox-1.5.0.10-5.fc6.x86_64
firefox-debuginfo-1.5.0.10-5.fc6.i386
firefox-debuginfo-1.5.0.10-5.fc6.x86_64
flash-plugin-9.0.31.0-1.i386
kernel-2.6.20-1.2944.fc6.x86_64

How reproducible:
I have not been able to predict the failure.
Comment 1 major 2007-04-16 07:22:15 EDT
Created attachment 152679 [details]
three instances of firefox-1.5.0.10 "double free or corruption"
Comment 2 Martin Stransky 2007-04-16 07:32:45 EDT
Can you please try to catch a bactrace? how-to is here -
http://people.redhat.com/stransky/mozilla/
Comment 3 Martin Stransky 2007-04-16 08:32:54 EDT
btw. Could you please attach your "Usert Agent" string here?
Comment 4 Matěj Cepl 2007-08-01 15:41:20 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.